Subject: Re: Proposed changes to io.h

From: Dan Malek <[email-masked]>
Date: Wed, 31 Mar 2004 16:49:20 -0500

John Whitney wrote:

 > ..... Shouldn't some care
> be taken to ensure that ANY virtual address passed to these routines
> maps to the correct physical (bus) address?

Don't go there.  This has been discussed over and over in the past
and as Matt said, this is not the place.  Read the archives if
you want to see these discussions.

The code works according to the documentation, and the implementation
of the pci_*/dma_* functions allows the flexibility we need to support
systems where the mapping is more challenging.  The kernel and drivers
should not be directly using virt_to_bus() and all of its cousins, they
should use the DMA mapping functions documented.

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/